List user activity logs
Returns a paginated list of activity logs for the authenticated user, including authentication and user-related events
Returns a paginated list of activity logs for the authenticated user, including authentication and user-related events
Authorization
bearerAuth AuthorizationBearer <token>
Enter your API token in the format: Bearer {token}
In: header
Query Parameters
filter[event]?string
Filter logs by event type (partial match)
filter[ip]?string
Filter logs by IP address (partial match)
filter[actor_id]?string
Filter logs by actor UUID or 'system' for system events
sort?string
Sort logs by timestamp
Default
"-timestamp"Value in
"timestamp" | "-timestamp"per_page?integer
Number of logs per page (max 100)
Default
25Range
1 <= value <= 100page?integer
Page number for pagination
Default
1Range
1 <= valueResponse Body
application/json
application/json
application/json
curl -X GET "https://example.com/api/client/activity"{
"object": "list",
"data": [
{
"object": "activity_log",
"attributes": {
"batch": "string",
"event": "auth:login",
"ip": "192.168.1.1",
"description": "string",
"properties": {},
"has_additional_metadata": true,
"timestamp": "2019-08-24T14:15:22Z"
},
"relationships": {
"actor": {
"object": "user",
"attributes": {
"uuid": "string",
"username": "string",
"email": "string",
"first_name": "string",
"last_name": "string"
}
}
}
}
],
"meta": {
"pagination": {
"total": 0,
"count": 0,
"per_page": 0,
"current_page": 0,
"total_pages": 0
}
}
}{
"errors": [
{
"code": "NotAuthenticatedException",
"status": "401",
"detail": "You are not authenticated to access this route."
}
]
}{
"errors": [
{
"code": "ValidationException",
"status": "422",
"detail": "The given data was invalid."
}
]
}